loci.formats.codec

## Enum JPEG2000BoxType

- java.lang.Object
- - java.lang.Enum<JPEG2000BoxType>
  - - loci.formats.codec.JPEG2000BoxType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<JPEG2000BoxType>, loci.common.enumeration.CodedEnum

      public enum JPEG2000BoxType
      extends java.lang.Enum<JPEG2000BoxType>
      implements loci.common.enumeration.CodedEnum

  An enumeration of JPEG 2000 box types.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ASSOCIATION`
    `BITS_PER_COMPONENT`
    `CAPTURE_RESOLUTION`
    `CHANNEL_DEFINITION`
    `COLOUR_SPECIFICATION`
    `COMPONENT_MAPPING`
    `CONTIGUOUS_CODESTREAM`
    `DEFAULT_DISPLAY_RESOLUTION`
    `FILE`
    `HEADER`
    `IMAGE_HEADER`
    `INTELLECTUAL_PROPERTY`
    `LABEL`
    `PALETTE`
    `PLACEHOLDER`
    `RESOLUTION`
    `SIGNATURE`
    `SIGNATURE_WRONG_ENDIANNESS`
    `URL`
    `UUID`
    `UUID_INFO`
    `UUID_LIST`
    `XML`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `code` Code for the box type.
    `private static java.util.Map<java.lang.Integer,JPEG2000BoxType>` | `lookup` Map used to retrieve the box type corresponding to the code.
    `private java.lang.String` | `name` The name of the box type.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JPEG2000BoxType` | `get(int code)` Retrieves the box type by reverse lookup of its "code".
    `int` | `getCode()` Implemented as specified by the `CodedEnum` I/F.
    `java.lang.String` | `getName()` Returns the name of the box type.
    `static JPEG2000BoxType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static JPEG2000BoxType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SIGNATURE

          public static final JPEG2000BoxType SIGNATURE

    - #### SIGNATURE_WRONG_ENDIANNESS

          public static final JPEG2000BoxType SIGNATURE_WRONG_ENDIANNESS

    - #### FILE

          public static final JPEG2000BoxType FILE

    - #### HEADER

          public static final JPEG2000BoxType HEADER

    - #### IMAGE_HEADER

          public static final JPEG2000BoxType IMAGE_HEADER

    - #### BITS_PER_COMPONENT

          public static final JPEG2000BoxType BITS_PER_COMPONENT

    - #### COLOUR_SPECIFICATION

          public static final JPEG2000BoxType COLOUR_SPECIFICATION

    - #### PALETTE

          public static final JPEG2000BoxType PALETTE

    - #### COMPONENT_MAPPING

          public static final JPEG2000BoxType COMPONENT_MAPPING

    - #### CHANNEL_DEFINITION

          public static final JPEG2000BoxType CHANNEL_DEFINITION

    - #### RESOLUTION

          public static final JPEG2000BoxType RESOLUTION

    - #### CAPTURE_RESOLUTION

          public static final JPEG2000BoxType CAPTURE_RESOLUTION

    - #### DEFAULT_DISPLAY_RESOLUTION

          public static final JPEG2000BoxType DEFAULT_DISPLAY_RESOLUTION

    - #### CONTIGUOUS_CODESTREAM

          public static final JPEG2000BoxType CONTIGUOUS_CODESTREAM

    - #### INTELLECTUAL_PROPERTY

          public static final JPEG2000BoxType INTELLECTUAL_PROPERTY

    - #### XML

          public static final JPEG2000BoxType XML

    - #### UUID

          public static final JPEG2000BoxType UUID

    - #### UUID_INFO

          public static final JPEG2000BoxType UUID_INFO

    - #### UUID_LIST

          public static final JPEG2000BoxType UUID_LIST

    - #### URL

          public static final JPEG2000BoxType URL

    - #### ASSOCIATION

          public static final JPEG2000BoxType ASSOCIATION

    - #### LABEL

          public static final JPEG2000BoxType LABEL

    - #### PLACEHOLDER

          public static final JPEG2000BoxType PLACEHOLDER

  - ### Field Detail

    - #### code

          private int code

      Code for the box type.

    - #### name

          private java.lang.String name

      The name of the box type.

    - #### lookup

          private static final java.util.Map<java.lang.Integer,JPEG2000BoxType> lookup

      Map used to retrieve the box type corresponding to the code.

  - ### Method Detail

    - #### values

          public static JPEG2000BoxType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (JPEG2000BoxType c : JPEG2000BoxType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static JPEG2000BoxType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### get

          public static JPEG2000BoxType get(int code)

      Retrieves the box type by reverse lookup of its "code".
      Parameters:
        `code` - The code to look up.
      Returns:
        The `JPEG2000BoxType` instance for the `code` or `null` if it does not exist.

    - #### getCode

          public int getCode()

      Implemented as specified by the `CodedEnum` I/F.
      Specified by:
        `getCode` in interface `loci.common.enumeration.CodedEnum`
      See Also:
        `CodedEnum.getCode()`

    - #### getName

          public java.lang.String getName()

      Returns the name of the box type.
      Returns:
        See above.

Copyright © 2026 Open Microscopy Environment